%define snapshot r6841

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        fltk is a cross-platform C++ GUI toolkit.
Name:		fltk2
Version:	2.0
Release:	2
Provides:	%{name} libfltk2.so libfltk2_images.so
License:	GNU/GPL 
URL:		http://www.fltk.org/
Group:		Development/Libraries
Source0:	fltk-%{version}.x-%{snapshot}.tar.bz2 
Patch0:		fltk-notest.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: zlib-devel

%description
fltk (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX./Linux. (X11), Microsoft. Windows., and MacOS. X.
FLTK provides modern GUI functionality without the bloat and supports
3D graphics via OpenGL. and its built-in GLUT emulation.
FLTK is designed to be small and modular enough to be statically linked, but works fine as a shared library. FLTK also includes an excellent UI builder called FLUID that can be used to create applications in minutes.
For more details see: http://www.fltk.org/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n fltk-%{version}.x-%{snapshot}
%patch0 -p1

%build
./configure --prefix=%_prefix \
	    --enable-shared \
            --enable-gl \
	    --enable-cairo
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make -e prefix=$RPM_BUILD_ROOT/%{_prefix} mandir=$RPM_BUILD_ROOT/%{_mandir} install

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/fluid2
%_libdir/libfltk2*.so.*

%files devel
%defattr(-,root,root)
%_bindir/fltk2-config
%_includedir/fltk/
%_libdir/libfltk2*.a
%_libdir/libfltk2*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0-2
- rebuilt against libjpeg 7
- snapshot r6841
* Mon Mar 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- Initial Release
- snapshot r5724
